Bug 1848021 - k8s.gcr.io/pause:3.1 is in use as a pause container sometimes
Summary: k8s.gcr.io/pause:3.1 is in use as a pause container sometimes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.5
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 4.4.z
Assignee: Urvashi Mohnani
QA Contact: Sunil Choudhary
URL:
Whiteboard:
Depends On: 1844276
Blocks: 1851949
TreeView+ depends on / blocked
 
Reported: 2020-06-17 14:33 UTC by OpenShift BugZilla Robot
Modified: 2020-06-29 15:34 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-29 15:34:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 3766 None closed [release-4.4] Bug 1848021: Add the --pod-infra-container-image flag to the kubelet service 2020-07-06 16:56:19 UTC
Github openshift machine-config-operator pull 1838 None closed [release-4.4] Bug 1848021: Set the pod-infra-container-image flag in kubelet to ocp pause image 2020-07-06 16:56:19 UTC
Red Hat Product Errata RHBA-2020:2713 None None None 2020-06-29 15:34:43 UTC

Comment 5 Sunil Choudhary 2020-06-22 07:20:01 UTC
$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.4.0-0.nightly-2020-06-21-210301   True        False         31m     Cluster version is 4.4.0-0.nightly-2020-06-21-210301

$ oc get nodes
NAME                                         STATUS   ROLES    AGE   VERSION
ip-10-0-134-175.us-east-2.compute.internal   Ready    worker   38m   v1.17.1+9d33dd3
ip-10-0-153-156.us-east-2.compute.internal   Ready    master   51m   v1.17.1+9d33dd3
ip-10-0-165-188.us-east-2.compute.internal   Ready    master   51m   v1.17.1+9d33dd3
ip-10-0-174-121.us-east-2.compute.internal   Ready    worker   38m   v1.17.1+9d33dd3
ip-10-0-221-122.us-east-2.compute.internal   Ready    master   51m   v1.17.1+9d33dd3
ip-10-0-222-3.us-east-2.compute.internal     Ready    worker   38m   v1.17.1+9d33dd3

$ oc debug node/ip-10-0-153-156.us-east-2.compute.internal
Starting pod/ip-10-0-153-156us-east-2computeinternal-debug ...
...

sh-4.4# journalctl -u kubelet | grep -i pod-infra-container-image
Jun 22 06:26:36 ip-10-0-153-156 hyperkube[1393]: I0622 06:26:36.940346    1393 flags.go:33] FLAG: --pod-infra-container-image="quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:c3575794b54ddace8648aceb51c456070078aaf8c1949be8f2e8670872053a17"
Jun 22 06:26:36 ip-10-0-153-156 hyperkube[1393]: W0622 06:26:36.942473    1393 server.go:191] Warning: For remote container runtime, --pod-infra-container-image is ignored in kubelet, which should be set in that remote runtime instead

sh-4.4# journalctl -u kubelet | grep -e "k8s.gcr.io" -e pause
sh-4.4#

Comment 7 errata-xmlrpc 2020-06-29 15:34:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2713


Note You need to log in before you can comment on or make changes to this bug.